Merging upstream version 0.1.6.
[debian/lxtask.git] / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19 am__make_running_with_option = \
20 case $${target_option-} in \
21 ?) ;; \
22 *) echo "am__make_running_with_option: internal error: invalid" \
23 "target option '$${target_option-}' specified" >&2; \
24 exit 1;; \
25 esac; \
26 has_opt=no; \
27 sane_makeflags=$$MAKEFLAGS; \
28 if $(am__is_gnu_make); then \
29 sane_makeflags=$$MFLAGS; \
30 else \
31 case $$MAKEFLAGS in \
32 *\\[\ \ ]*) \
33 bs=\\; \
34 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
36 esac; \
37 fi; \
38 skip_next=no; \
39 strip_trailopt () \
40 { \
41 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42 }; \
43 for flg in $$sane_makeflags; do \
44 test $$skip_next = yes && { skip_next=no; continue; }; \
45 case $$flg in \
46 *=*|--*) continue;; \
47 -*I) strip_trailopt 'I'; skip_next=yes;; \
48 -*I?*) strip_trailopt 'I';; \
49 -*O) strip_trailopt 'O'; skip_next=yes;; \
50 -*O?*) strip_trailopt 'O';; \
51 -*l) strip_trailopt 'l'; skip_next=yes;; \
52 -*l?*) strip_trailopt 'l';; \
53 -[dEDm]) skip_next=yes;; \
54 -[JT]) skip_next=yes;; \
55 esac; \
56 case $$flg in \
57 *$$target_option*) has_opt=yes; break;; \
58 esac; \
59 done; \
60 test $$has_opt = yes
61 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
63 pkgdatadir = $(datadir)/@PACKAGE@
64 pkgincludedir = $(includedir)/@PACKAGE@
65 pkglibdir = $(libdir)/@PACKAGE@
66 pkglibexecdir = $(libexecdir)/@PACKAGE@
67 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68 install_sh_DATA = $(install_sh) -c -m 644
69 install_sh_PROGRAM = $(install_sh) -c
70 install_sh_SCRIPT = $(install_sh) -c
71 INSTALL_HEADER = $(INSTALL_DATA)
72 transform = $(program_transform_name)
73 NORMAL_INSTALL = :
74 PRE_INSTALL = :
75 POST_INSTALL = :
76 NORMAL_UNINSTALL = :
77 PRE_UNINSTALL = :
78 POST_UNINSTALL = :
79 subdir = .
80 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
81 $(top_srcdir)/configure $(am__configure_deps) \
82 $(srcdir)/config.h.in $(top_srcdir)/data/lxtask.1.in AUTHORS \
83 COPYING ChangeLog INSTALL NEWS README TODO compile install-sh \
84 missing
85 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
86 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
87 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
88 $(ACLOCAL_M4)
89 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
90 configure.lineno config.status.lineno
91 mkinstalldirs = $(install_sh) -d
92 CONFIG_HEADER = config.h
93 CONFIG_CLEAN_FILES = data/lxtask.1
94 CONFIG_CLEAN_VPATH_FILES =
95 AM_V_P = $(am__v_P_@AM_V@)
96 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
97 am__v_P_0 = false
98 am__v_P_1 = :
99 AM_V_GEN = $(am__v_GEN_@AM_V@)
100 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
101 am__v_GEN_0 = @echo " GEN " $@;
102 am__v_GEN_1 =
103 AM_V_at = $(am__v_at_@AM_V@)
104 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
105 am__v_at_0 = @
106 am__v_at_1 =
107 SOURCES =
108 DIST_SOURCES =
109 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
110 ctags-recursive dvi-recursive html-recursive info-recursive \
111 install-data-recursive install-dvi-recursive \
112 install-exec-recursive install-html-recursive \
113 install-info-recursive install-pdf-recursive \
114 install-ps-recursive install-recursive installcheck-recursive \
115 installdirs-recursive pdf-recursive ps-recursive \
116 tags-recursive uninstall-recursive
117 am__can_run_installinfo = \
118 case $$AM_UPDATE_INFO_DIR in \
119 n|no|NO) false;; \
120 *) (install-info --version) >/dev/null 2>&1;; \
121 esac
122 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
123 am__vpath_adj = case $$p in \
124 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
125 *) f=$$p;; \
126 esac;
127 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
128 am__install_max = 40
129 am__nobase_strip_setup = \
130 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
131 am__nobase_strip = \
132 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
133 am__nobase_list = $(am__nobase_strip_setup); \
134 for p in $$list; do echo "$$p $$p"; done | \
135 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
136 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
137 if (++n[$$2] == $(am__install_max)) \
138 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
139 END { for (dir in files) print dir, files[dir] }'
140 am__base_list = \
141 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
142 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
143 am__uninstall_files_from_dir = { \
144 test -z "$$files" \
145 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
146 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
147 $(am__cd) "$$dir" && rm -f $$files; }; \
148 }
149 man1dir = $(mandir)/man1
150 am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)"
151 NROFF = nroff
152 MANS = $(man_MANS)
153 DATA = $(desktop_DATA)
154 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
155 distclean-recursive maintainer-clean-recursive
156 am__recursive_targets = \
157 $(RECURSIVE_TARGETS) \
158 $(RECURSIVE_CLEAN_TARGETS) \
159 $(am__extra_recursive_targets)
160 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
161 cscope distdir dist dist-all distcheck
162 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
163 $(LISP)config.h.in
164 # Read a list of newline-separated strings from the standard input,
165 # and print each of them once, without duplicates. Input order is
166 # *not* preserved.
167 am__uniquify_input = $(AWK) '\
168 BEGIN { nonempty = 0; } \
169 { items[$$0] = 1; nonempty = 1; } \
170 END { if (nonempty) { for (i in items) print i; }; } \
171 '
172 # Make sure the list of sources is unique. This is necessary because,
173 # e.g., the same source file might be shared among _SOURCES variables
174 # for different programs/libraries.
175 am__define_uniq_tagged_files = \
176 list='$(am__tagged_files)'; \
177 unique=`for i in $$list; do \
178 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
179 done | $(am__uniquify_input)`
180 ETAGS = etags
181 CTAGS = ctags
182 CSCOPE = cscope
183 DIST_SUBDIRS = $(SUBDIRS)
184 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
185 distdir = $(PACKAGE)-$(VERSION)
186 top_distdir = $(distdir)
187 am__remove_distdir = \
188 if test -d "$(distdir)"; then \
189 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
190 && rm -rf "$(distdir)" \
191 || { sleep 5 && rm -rf "$(distdir)"; }; \
192 else :; fi
193 am__post_remove_distdir = $(am__remove_distdir)
194 am__relativize = \
195 dir0=`pwd`; \
196 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
197 sed_rest='s,^[^/]*/*,,'; \
198 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
199 sed_butlast='s,/*[^/]*$$,,'; \
200 while test -n "$$dir1"; do \
201 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
202 if test "$$first" != "."; then \
203 if test "$$first" = ".."; then \
204 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
205 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
206 else \
207 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
208 if test "$$first2" = "$$first"; then \
209 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
210 else \
211 dir2="../$$dir2"; \
212 fi; \
213 dir0="$$dir0"/"$$first"; \
214 fi; \
215 fi; \
216 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
217 done; \
218 reldir="$$dir2"
219 GZIP_ENV = --best
220 DIST_ARCHIVES = $(distdir).tar.xz
221 DIST_TARGETS = dist-xz
222 distuninstallcheck_listfiles = find . -type f -print
223 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
224 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
225 distcleancheck_listfiles = find . -type f -print
226 ACLOCAL = @ACLOCAL@
227 ALL_LINGUAS = @ALL_LINGUAS@
228 AMTAR = @AMTAR@
229 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
230 AUTOCONF = @AUTOCONF@
231 AUTOHEADER = @AUTOHEADER@
232 AUTOMAKE = @AUTOMAKE@
233 AWK = @AWK@
234 CATALOGS = @CATALOGS@
235 CATOBJEXT = @CATOBJEXT@
236 CC = @CC@
237 CCDEPMODE = @CCDEPMODE@
238 CFLAGS = @CFLAGS@
239 CPP = @CPP@
240 CPPFLAGS = @CPPFLAGS@
241 CYGPATH_W = @CYGPATH_W@
242 DATADIRNAME = @DATADIRNAME@
243 DEFS = @DEFS@
244 DEPDIR = @DEPDIR@
245 ECHO_C = @ECHO_C@
246 ECHO_N = @ECHO_N@
247 ECHO_T = @ECHO_T@
248 EGREP = @EGREP@
249 EXEEXT = @EXEEXT@
250 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
251 GMOFILES = @GMOFILES@
252 GMSGFMT = @GMSGFMT@
253 GREP = @GREP@
254 GTK_CFLAGS = @GTK_CFLAGS@
255 GTK_LIBS = @GTK_LIBS@
256 INSTALL = @INSTALL@
257 INSTALL_DATA = @INSTALL_DATA@
258 INSTALL_PROGRAM = @INSTALL_PROGRAM@
259 INSTALL_SCRIPT = @INSTALL_SCRIPT@
260 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
261 INSTOBJEXT = @INSTOBJEXT@
262 INTLLIBS = @INTLLIBS@
263 INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
264 INTLTOOL_MERGE = @INTLTOOL_MERGE@
265 INTLTOOL_PERL = @INTLTOOL_PERL@
266 INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
267 INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
268 INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
269 INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
270 INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
271 LDFLAGS = @LDFLAGS@
272 LIBOBJS = @LIBOBJS@
273 LIBS = @LIBS@
274 LTLIBOBJS = @LTLIBOBJS@
275 MAINT = @MAINT@
276 MAKEINFO = @MAKEINFO@
277 MKDIR_P = @MKDIR_P@
278 MKINSTALLDIRS = @MKINSTALLDIRS@
279 MSGFMT = @MSGFMT@
280 MSGFMT_OPTS = @MSGFMT_OPTS@
281 MSGMERGE = @MSGMERGE@
282 OBJEXT = @OBJEXT@
283 PACKAGE = @PACKAGE@
284 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
285 PACKAGE_NAME = @PACKAGE_NAME@
286 PACKAGE_STRING = @PACKAGE_STRING@
287 PACKAGE_TARNAME = @PACKAGE_TARNAME@
288 PACKAGE_URL = @PACKAGE_URL@
289 PACKAGE_VERSION = @PACKAGE_VERSION@
290 PATH_SEPARATOR = @PATH_SEPARATOR@
291 PKG_CONFIG = @PKG_CONFIG@
292 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
293 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
294 POFILES = @POFILES@
295 POSUB = @POSUB@
296 PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
297 PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
298 SET_MAKE = @SET_MAKE@
299 SHELL = @SHELL@
300 STRIP = @STRIP@
301 USE_NLS = @USE_NLS@
302 VERSION = @VERSION@
303 XGETTEXT = @XGETTEXT@
304 abs_builddir = @abs_builddir@
305 abs_srcdir = @abs_srcdir@
306 abs_top_builddir = @abs_top_builddir@
307 abs_top_srcdir = @abs_top_srcdir@
308 ac_ct_CC = @ac_ct_CC@
309 am__include = @am__include@
310 am__leading_dot = @am__leading_dot@
311 am__quote = @am__quote@
312 am__tar = @am__tar@
313 am__untar = @am__untar@
314 bindir = @bindir@
315 build_alias = @build_alias@
316 builddir = @builddir@
317 datadir = @datadir@
318 datarootdir = @datarootdir@
319 docdir = @docdir@
320 dvidir = @dvidir@
321 exec_prefix = @exec_prefix@
322 host_alias = @host_alias@
323 htmldir = @htmldir@
324 includedir = @includedir@
325 infodir = @infodir@
326 install_sh = @install_sh@
327 intltool__v_merge_options_ = @intltool__v_merge_options_@
328 intltool__v_merge_options_0 = @intltool__v_merge_options_0@
329 libdir = @libdir@
330 libexecdir = @libexecdir@
331 localedir = @localedir@
332 localstatedir = @localstatedir@
333 mandir = @mandir@
334 mkdir_p = @mkdir_p@
335 oldincludedir = @oldincludedir@
336 pdfdir = @pdfdir@
337 prefix = @prefix@
338 program_transform_name = @program_transform_name@
339 psdir = @psdir@
340 sbindir = @sbindir@
341 sharedstatedir = @sharedstatedir@
342 srcdir = @srcdir@
343 sysconfdir = @sysconfdir@
344 target_alias = @target_alias@
345 top_build_prefix = @top_build_prefix@
346 top_builddir = @top_builddir@
347 top_srcdir = @top_srcdir@
348 ACLOCAL_AMFLAGS = -I .
349 SUBDIRS = po src
350 desktopdir = $(datadir)/applications
351 desktop_in_files = data/lxtask.desktop.in
352 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
353 man_MANS = data/lxtask.1
354 EXTRA_DIST = \
355 $(desktop_in_files)
356
357 DISTCLEANFILES = \
358 $(desktop_DATA)
359
360 all: config.h
361 $(MAKE) $(AM_MAKEFLAGS) all-recursive
362
363 .SUFFIXES:
364 am--refresh: Makefile
365 @:
366 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
367 @for dep in $?; do \
368 case '$(am__configure_deps)' in \
369 *$$dep*) \
370 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
371 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
372 && exit 0; \
373 exit 1;; \
374 esac; \
375 done; \
376 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
377 $(am__cd) $(top_srcdir) && \
378 $(AUTOMAKE) --foreign Makefile
379 .PRECIOUS: Makefile
380 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
381 @case '$?' in \
382 *config.status*) \
383 echo ' $(SHELL) ./config.status'; \
384 $(SHELL) ./config.status;; \
385 *) \
386 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
387 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
388 esac;
389
390 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
391 $(SHELL) ./config.status --recheck
392
393 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
394 $(am__cd) $(srcdir) && $(AUTOCONF)
395 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
396 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
397 $(am__aclocal_m4_deps):
398
399 config.h: stamp-h1
400 @test -f $@ || rm -f stamp-h1
401 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
402
403 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
404 @rm -f stamp-h1
405 cd $(top_builddir) && $(SHELL) ./config.status config.h
406 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
407 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
408 rm -f stamp-h1
409 touch $@
410
411 distclean-hdr:
412 -rm -f config.h stamp-h1
413 data/lxtask.1: $(top_builddir)/config.status $(top_srcdir)/data/lxtask.1.in
414 cd $(top_builddir) && $(SHELL) ./config.status $@
415 install-man1: $(man_MANS)
416 @$(NORMAL_INSTALL)
417 @list1=''; \
418 list2='$(man_MANS)'; \
419 test -n "$(man1dir)" \
420 && test -n "`echo $$list1$$list2`" \
421 || exit 0; \
422 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
423 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
424 { for i in $$list1; do echo "$$i"; done; \
425 if test -n "$$list2"; then \
426 for i in $$list2; do echo "$$i"; done \
427 | sed -n '/\.1[a-z]*$$/p'; \
428 fi; \
429 } | while read p; do \
430 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
431 echo "$$d$$p"; echo "$$p"; \
432 done | \
433 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
434 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
435 sed 'N;N;s,\n, ,g' | { \
436 list=; while read file base inst; do \
437 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
438 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
439 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
440 fi; \
441 done; \
442 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
443 while read files; do \
444 test -z "$$files" || { \
445 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
446 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
447 done; }
448
449 uninstall-man1:
450 @$(NORMAL_UNINSTALL)
451 @list=''; test -n "$(man1dir)" || exit 0; \
452 files=`{ for i in $$list; do echo "$$i"; done; \
453 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
454 sed -n '/\.1[a-z]*$$/p'; \
455 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
456 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
457 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
458 install-desktopDATA: $(desktop_DATA)
459 @$(NORMAL_INSTALL)
460 @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
461 if test -n "$$list"; then \
462 echo " $(MKDIR_P) '$(DESTDIR)$(desktopdir)'"; \
463 $(MKDIR_P) "$(DESTDIR)$(desktopdir)" || exit 1; \
464 fi; \
465 for p in $$list; do \
466 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
467 echo "$$d$$p"; \
468 done | $(am__base_list) | \
469 while read files; do \
470 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(desktopdir)'"; \
471 $(INSTALL_DATA) $$files "$(DESTDIR)$(desktopdir)" || exit $$?; \
472 done
473
474 uninstall-desktopDATA:
475 @$(NORMAL_UNINSTALL)
476 @list='$(desktop_DATA)'; test -n "$(desktopdir)" || list=; \
477 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
478 dir='$(DESTDIR)$(desktopdir)'; $(am__uninstall_files_from_dir)
479
480 # This directory's subdirectories are mostly independent; you can cd
481 # into them and run 'make' without going through this Makefile.
482 # To change the values of 'make' variables: instead of editing Makefiles,
483 # (1) if the variable is set in 'config.status', edit 'config.status'
484 # (which will cause the Makefiles to be regenerated when you run 'make');
485 # (2) otherwise, pass the desired values on the 'make' command line.
486 $(am__recursive_targets):
487 @fail=; \
488 if $(am__make_keepgoing); then \
489 failcom='fail=yes'; \
490 else \
491 failcom='exit 1'; \
492 fi; \
493 dot_seen=no; \
494 target=`echo $@ | sed s/-recursive//`; \
495 case "$@" in \
496 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
497 *) list='$(SUBDIRS)' ;; \
498 esac; \
499 for subdir in $$list; do \
500 echo "Making $$target in $$subdir"; \
501 if test "$$subdir" = "."; then \
502 dot_seen=yes; \
503 local_target="$$target-am"; \
504 else \
505 local_target="$$target"; \
506 fi; \
507 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
508 || eval $$failcom; \
509 done; \
510 if test "$$dot_seen" = "no"; then \
511 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
512 fi; test -z "$$fail"
513
514 ID: $(am__tagged_files)
515 $(am__define_uniq_tagged_files); mkid -fID $$unique
516 tags: tags-recursive
517 TAGS: tags
518
519 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
520 set x; \
521 here=`pwd`; \
522 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
523 include_option=--etags-include; \
524 empty_fix=.; \
525 else \
526 include_option=--include; \
527 empty_fix=; \
528 fi; \
529 list='$(SUBDIRS)'; for subdir in $$list; do \
530 if test "$$subdir" = .; then :; else \
531 test ! -f $$subdir/TAGS || \
532 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
533 fi; \
534 done; \
535 $(am__define_uniq_tagged_files); \
536 shift; \
537 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
538 test -n "$$unique" || unique=$$empty_fix; \
539 if test $$# -gt 0; then \
540 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
541 "$$@" $$unique; \
542 else \
543 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
544 $$unique; \
545 fi; \
546 fi
547 ctags: ctags-recursive
548
549 CTAGS: ctags
550 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
551 $(am__define_uniq_tagged_files); \
552 test -z "$(CTAGS_ARGS)$$unique" \
553 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
554 $$unique
555
556 GTAGS:
557 here=`$(am__cd) $(top_builddir) && pwd` \
558 && $(am__cd) $(top_srcdir) \
559 && gtags -i $(GTAGS_ARGS) "$$here"
560 cscope: cscope.files
561 test ! -s cscope.files \
562 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
563 clean-cscope:
564 -rm -f cscope.files
565 cscope.files: clean-cscope cscopelist
566 cscopelist: cscopelist-recursive
567
568 cscopelist-am: $(am__tagged_files)
569 list='$(am__tagged_files)'; \
570 case "$(srcdir)" in \
571 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
572 *) sdir=$(subdir)/$(srcdir) ;; \
573 esac; \
574 for i in $$list; do \
575 if test -f "$$i"; then \
576 echo "$(subdir)/$$i"; \
577 else \
578 echo "$$sdir/$$i"; \
579 fi; \
580 done >> $(top_builddir)/cscope.files
581
582 distclean-tags:
583 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
584 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
585
586 distdir: $(DISTFILES)
587 $(am__remove_distdir)
588 test -d "$(distdir)" || mkdir "$(distdir)"
589 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
590 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
591 list='$(DISTFILES)'; \
592 dist_files=`for file in $$list; do echo $$file; done | \
593 sed -e "s|^$$srcdirstrip/||;t" \
594 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
595 case $$dist_files in \
596 */*) $(MKDIR_P) `echo "$$dist_files" | \
597 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
598 sort -u` ;; \
599 esac; \
600 for file in $$dist_files; do \
601 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
602 if test -d $$d/$$file; then \
603 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
604 if test -d "$(distdir)/$$file"; then \
605 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
606 fi; \
607 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
608 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
609 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
610 fi; \
611 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
612 else \
613 test -f "$(distdir)/$$file" \
614 || cp -p $$d/$$file "$(distdir)/$$file" \
615 || exit 1; \
616 fi; \
617 done
618 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
619 if test "$$subdir" = .; then :; else \
620 $(am__make_dryrun) \
621 || test -d "$(distdir)/$$subdir" \
622 || $(MKDIR_P) "$(distdir)/$$subdir" \
623 || exit 1; \
624 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
625 $(am__relativize); \
626 new_distdir=$$reldir; \
627 dir1=$$subdir; dir2="$(top_distdir)"; \
628 $(am__relativize); \
629 new_top_distdir=$$reldir; \
630 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
631 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
632 ($(am__cd) $$subdir && \
633 $(MAKE) $(AM_MAKEFLAGS) \
634 top_distdir="$$new_top_distdir" \
635 distdir="$$new_distdir" \
636 am__remove_distdir=: \
637 am__skip_length_check=: \
638 am__skip_mode_fix=: \
639 distdir) \
640 || exit 1; \
641 fi; \
642 done
643 -test -n "$(am__skip_mode_fix)" \
644 || find "$(distdir)" -type d ! -perm -755 \
645 -exec chmod u+rwx,go+rx {} \; -o \
646 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
647 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
648 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
649 || chmod -R a+r "$(distdir)"
650 dist-gzip: distdir
651 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
652 $(am__post_remove_distdir)
653
654 dist-bzip2: distdir
655 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
656 $(am__post_remove_distdir)
657
658 dist-lzip: distdir
659 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
660 $(am__post_remove_distdir)
661 dist-xz: distdir
662 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
663 $(am__post_remove_distdir)
664
665 dist-tarZ: distdir
666 @echo WARNING: "Support for shar distribution archives is" \
667 "deprecated." >&2
668 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
669 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
670 $(am__post_remove_distdir)
671
672 dist-shar: distdir
673 @echo WARNING: "Support for distribution archives compressed with" \
674 "legacy program 'compress' is deprecated." >&2
675 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
676 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
677 $(am__post_remove_distdir)
678
679 dist-zip: distdir
680 -rm -f $(distdir).zip
681 zip -rq $(distdir).zip $(distdir)
682 $(am__post_remove_distdir)
683
684 dist dist-all:
685 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
686 $(am__post_remove_distdir)
687
688 # This target untars the dist file and tries a VPATH configuration. Then
689 # it guarantees that the distribution is self-contained by making another
690 # tarfile.
691 distcheck: dist
692 case '$(DIST_ARCHIVES)' in \
693 *.tar.gz*) \
694 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
695 *.tar.bz2*) \
696 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
697 *.tar.lz*) \
698 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
699 *.tar.xz*) \
700 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
701 *.tar.Z*) \
702 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
703 *.shar.gz*) \
704 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
705 *.zip*) \
706 unzip $(distdir).zip ;;\
707 esac
708 chmod -R a-w $(distdir)
709 chmod u+w $(distdir)
710 mkdir $(distdir)/_build $(distdir)/_inst
711 chmod a-w $(distdir)
712 test -d $(distdir)/_build || exit 0; \
713 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
714 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
715 && am__cwd=`pwd` \
716 && $(am__cd) $(distdir)/_build \
717 && ../configure \
718 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
719 $(DISTCHECK_CONFIGURE_FLAGS) \
720 --srcdir=.. --prefix="$$dc_install_base" \
721 && $(MAKE) $(AM_MAKEFLAGS) \
722 && $(MAKE) $(AM_MAKEFLAGS) dvi \
723 && $(MAKE) $(AM_MAKEFLAGS) check \
724 && $(MAKE) $(AM_MAKEFLAGS) install \
725 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
726 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
727 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
728 distuninstallcheck \
729 && chmod -R a-w "$$dc_install_base" \
730 && ({ \
731 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
732 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
733 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
734 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
735 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
736 } || { rm -rf "$$dc_destdir"; exit 1; }) \
737 && rm -rf "$$dc_destdir" \
738 && $(MAKE) $(AM_MAKEFLAGS) dist \
739 && rm -rf $(DIST_ARCHIVES) \
740 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
741 && cd "$$am__cwd" \
742 || exit 1
743 $(am__post_remove_distdir)
744 @(echo "$(distdir) archives ready for distribution: "; \
745 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
746 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
747 distuninstallcheck:
748 @test -n '$(distuninstallcheck_dir)' || { \
749 echo 'ERROR: trying to run $@ with an empty' \
750 '$$(distuninstallcheck_dir)' >&2; \
751 exit 1; \
752 }; \
753 $(am__cd) '$(distuninstallcheck_dir)' || { \
754 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
755 exit 1; \
756 }; \
757 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
758 || { echo "ERROR: files left after uninstall:" ; \
759 if test -n "$(DESTDIR)"; then \
760 echo " (check DESTDIR support)"; \
761 fi ; \
762 $(distuninstallcheck_listfiles) ; \
763 exit 1; } >&2
764 distcleancheck: distclean
765 @if test '$(srcdir)' = . ; then \
766 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
767 exit 1 ; \
768 fi
769 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
770 || { echo "ERROR: files left in build directory after distclean:" ; \
771 $(distcleancheck_listfiles) ; \
772 exit 1; } >&2
773 check-am: all-am
774 check: check-recursive
775 all-am: Makefile $(MANS) $(DATA) config.h
776 installdirs: installdirs-recursive
777 installdirs-am:
778 for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(desktopdir)"; do \
779 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
780 done
781 install: install-recursive
782 install-exec: install-exec-recursive
783 install-data: install-data-recursive
784 uninstall: uninstall-recursive
785
786 install-am: all-am
787 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
788
789 installcheck: installcheck-recursive
790 install-strip:
791 if test -z '$(STRIP)'; then \
792 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
793 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
794 install; \
795 else \
796 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
797 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
798 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
799 fi
800 mostlyclean-generic:
801
802 clean-generic:
803
804 distclean-generic:
805 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
806 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
807 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
808
809 maintainer-clean-generic:
810 @echo "This command is intended for maintainers to use"
811 @echo "it deletes files that may require special tools to rebuild."
812 clean: clean-recursive
813
814 clean-am: clean-generic mostlyclean-am
815
816 distclean: distclean-recursive
817 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
818 -rm -f Makefile
819 distclean-am: clean-am distclean-generic distclean-hdr distclean-local \
820 distclean-tags
821
822 dvi: dvi-recursive
823
824 dvi-am:
825
826 html: html-recursive
827
828 html-am:
829
830 info: info-recursive
831
832 info-am:
833
834 install-data-am: install-desktopDATA install-man
835
836 install-dvi: install-dvi-recursive
837
838 install-dvi-am:
839
840 install-exec-am:
841
842 install-html: install-html-recursive
843
844 install-html-am:
845
846 install-info: install-info-recursive
847
848 install-info-am:
849
850 install-man: install-man1
851
852 install-pdf: install-pdf-recursive
853
854 install-pdf-am:
855
856 install-ps: install-ps-recursive
857
858 install-ps-am:
859
860 installcheck-am:
861
862 maintainer-clean: maintainer-clean-recursive
863 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
864 -rm -rf $(top_srcdir)/autom4te.cache
865 -rm -f Makefile
866 maintainer-clean-am: distclean-am maintainer-clean-generic
867
868 mostlyclean: mostlyclean-recursive
869
870 mostlyclean-am: mostlyclean-generic
871
872 pdf: pdf-recursive
873
874 pdf-am:
875
876 ps: ps-recursive
877
878 ps-am:
879
880 uninstall-am: uninstall-desktopDATA uninstall-man
881
882 uninstall-man: uninstall-man1
883
884 .MAKE: $(am__recursive_targets) all install-am install-strip
885
886 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
887 am--refresh check check-am clean clean-cscope clean-generic \
888 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
889 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
890 distcheck distclean distclean-generic distclean-hdr \
891 distclean-local distclean-tags distcleancheck distdir \
892 distuninstallcheck dvi dvi-am html html-am info info-am \
893 install install-am install-data install-data-am \
894 install-desktopDATA install-dvi install-dvi-am install-exec \
895 install-exec-am install-html install-html-am install-info \
896 install-info-am install-man install-man1 install-pdf \
897 install-pdf-am install-ps install-ps-am install-strip \
898 installcheck installcheck-am installdirs installdirs-am \
899 maintainer-clean maintainer-clean-generic mostlyclean \
900 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
901 uninstall-am uninstall-desktopDATA uninstall-man \
902 uninstall-man1
903
904 @INTLTOOL_DESKTOP_RULE@
905
906 distclean-local:
907 rm -rf *.cache *~
908
909 rpm: dist
910 rpmbuild -ta $(PACKAGE)-$(VERSION).tar.gz
911 @rm -f $(PACKAGE)-$(VERSION).tar.gz
912
913 # Tell versions [3.59,3.63) of GNU make to not export all variables.
914 # Otherwise a system limit (for SysV at least) may be exceeded.
915 .NOEXPORT: